Subject: Re: 27.0.50; Calling `par' via shell-command-on-region always errors out
From: Kaushal Modi <[email-masked]>
To: Paul Eggert <[email-masked]>, [email-masked]
Date: Mon, 28 Jan 2019 21:29:03 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 23, 2019 at 1:05 PM Paul Eggert <[email-masked]> wrote:

> On 1/23/19 9:37 AM, Kaushal Modi wrote:
> > I ran:
> >
> > strace -o /tmp/par.tr <http://par.tr> par, and
> > strace -o /tmp/emacs.tr <http://emacs.tr> emacs -Q
> >
> > Looking at the .tr files, they could possibly contain work sensitive
> > data. So I am not sure if I should share those files publicly.
>
> We care about the I/O requests involving the text you're reformatting,
> so I suggest running 'par' on some innocuous text and just looking at
> the associated syscalls (assuming you can reproduce the problem).
>
> Also, please try running the shell command 'fmt' on the same text, to
> see if that can reproduce the problem. If it doesn't reproduce the
> problem, see how fmt's system calls differ from par's. I mention 'fmt'
> because it's similar to 'par' and I can easily run 'fmt' here.
>

Hi Paul,

Thanks for your time. I hate it when this happens.

This issue got automagically "solved". I cannot recreate this issue any
more.
All I did was rebuild Emacs to the latest master.

[ As I did not understand the root cause of this issue, I am certain that
this will repeat at some point. ]

Kaushal